Skip to content

キャンバスデータサマリー分析のエクスポート

get

/canvas/data_summary

このエンドポイントを使用して、キャンバスの時系列データのロールアップをエクスポートし、キャンバス結果の簡潔なサマリーを提供します。

前提条件

このエンドポイントを使用するには、canvas.data_summary 権限を持つAPIキーが必要です。

レート制限

APIレート制限に記載されているように、このエンドポイントにはBrazeのデフォルトのレート制限(1時間あたり250,000リクエスト)が適用されます。

リクエストパラメーター

パラメーター 必須 データタイプ 説明
canvas_id 必須 文字列 キャンバスAPI識別子を参照してください。
ending_at 必須 日時
(ISO-8601 文字列)
データエクスポートの終了日。デフォルトはリクエスト時刻です。
starting_at オプション* 日時
(ISO-8601 文字列)
データエクスポートの開始日。

* length または starting_at のいずれかが必須です。
length オプション* 文字列 返されるシリーズに含まれる ending_at より前の最大日数。1以上14以下(両端を含む)でなければなりません。

* length または starting_at のいずれかが必須です。
include_variant_breakdown オプション ブール値 バリアント統計を含めるかどうか(デフォルトは false)。
include_step_breakdown オプション ブール値 ステップ統計を含めるかどうか(デフォルトは false)。
include_deleted_step_data オプション ブール値 削除されたステップの統計を含めるかどうか(デフォルトは false)。

リクエスト例

1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/canvas/data_summary?canvas_id={{canvas_id}}&ending_at=2018-05-30T23:59:59-05:00&starting_at=2018-05-28T23:59:59-05:00&length=5&include_variant_breakdown=true&include_step_breakdown=true&include_deleted_step_data=true' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

レスポンス

コンバージョンイベントフィールド

レスポンスには、キャンバスに設定された各コンバージョンイベントに対して1組のコンバージョンフィールドが含まれます。1次コンバージョンイベントは conversionsconversions_by_entry_time を使用します。追加の各イベントは、2番目のイベントに対して 1 から始まり、追加のイベントごとに1ずつ増加する数値サフィックスを持つ同じベース名を使用します。

キャンバス上のコンバージョンイベントの順序 コンバージョンフィールド エントリ時刻別フィールド
1次 conversions conversions_by_entry_time
2番目 conversions1 conversions1_by_entry_time
3番目 conversions2 conversions2_by_entry_time
4番目 conversions3 conversions3_by_entry_time

5番目以降のイベントも同じパターンに従います(例: conversions4conversions4_by_entry_time)。これらのフィールドは total_stats に表示され、ブレークダウンをリクエストした場合は variant_statsstep_stats にも同じ名前で表示されます。

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
{
  "data": {
    "name": (string) the Canvas name,
    "total_stats": {
      "revenue": (float) the number of dollars of revenue (USD),
      "entries": (int) the number of entries,
      "conversions": (int) the number of conversions for the primary conversion event,
      "conversions_by_entry_time": (int) the number of conversions for the primary conversion event by entry time,
      "conversions1": (optional, int) the number of conversions for the second conversion event,
      "conversions1_by_entry_time": (optional, int) the number of conversions for the second conversion event by entry time,
      "conversions2": (optional, int) the number of conversions for the third conversion event,
      "conversions2_by_entry_time": (optional, int) the number of conversions for the third conversion event by entry time,
      "conversions3": (optional, int) the number of conversions for the fourth conversion event,
      "conversions3_by_entry_time": (optional, int) the number of conversions for the fourth conversion event by entry time
    },
    "variant_stats": (optional) {
      "00000000-0000-0000-0000-0000000000000": (string) the API identifier for the variant {
        "name": (string) the name of the variant,
        "revenue": (float) the number of dollars of revenue (USD),
        "conversions": (int) the number of conversions for the primary conversion event,
        "conversions_by_entry_time": (optional, int) the number of conversions for the primary conversion event by entry time,
        "conversions1": (optional, int) the number of conversions for the second conversion event,
        "conversions1_by_entry_time": (optional, int) the number of conversions for the second conversion event by entry time,
        "conversions2": (optional, int) the number of conversions for the third conversion event,
        "conversions2_by_entry_time": (optional, int) the number of conversions for the third conversion event by entry time,
        "conversions3": (optional, int) the number of conversions for the fourth conversion event,
        "conversions3_by_entry_time": (optional, int) the number of conversions for the fourth conversion event by entry time,
        "entries": (int) the number of entries
      },
      ... (more variants)
    },
    "step_stats": (optional) {
      "00000000-0000-0000-0000-0000000000000": (string) the API identifier for the step {
        "name": (string) the name of the step,
        "revenue": (float) the number of dollars of revenue (USD),
        "conversions": (int) the number of conversions for the primary conversion event,
        "conversions_by_entry_time": (int) the number of conversions for the primary conversion event by entry time,
        "conversions1": (optional, int) the number of conversions for the second conversion event,
        "conversions1_by_entry_time": (optional, int) the number of conversions for the second conversion event by entry time,
        "conversions2": (optional, int) the number of conversions for the third conversion event,
        "conversions2_by_entry_time": (optional, int) the number of conversions for the third conversion event by entry time,
        "conversions3": (optional, int) the number of conversions for the fourth conversion event,
        "conversions3_by_entry_time": (optional, int) the number of conversions for the fourth conversion event by entry time,
        "messages": {
          "android_push": (name of channel) [
            {
              "sent": (int) the number of sends,
              "opens": (int) the number of opens,
              "influenced_opens": (int) the total number of opens (includes both direct opens and influenced opens),
              "bounces": (int) the number of bounces
              ... (more stats for channel)
            }
          ],
          ... (more channels)
        }
      },
      ... (more steps)
    }
  },
  "message": (required, string) the status of the export, returns 'success' on successful completion
}
New Stuff!